Name:          libfprint
Version:       1.94.3
Release:       1mamba
Summary:       Library for fingerprint readers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://fprint.freedesktop.org/
Source:        https://gitlab.freedesktop.org/libfprint/libfprint.git/v%{version}/libfprint-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
BuildRequires: libgusb-devel
BuildRequires: libnss-devel
BuildRequires: libpixman-devel
## AUTOBUILDREQ-END

%description
Library for fingerprint readers.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_udevrulesdir}/70-libfprint-2.rules
%{_libdir}/libfprint-2.so.*
%{_libdir}/girepository-1.0/FPrint-2.0.typelib
%doc AUTHORS COPYING THANKS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libfprint-2
%{_includedir}/libfprint-2/*.h
%{_libdir}/libfprint-2.so
%{_libdir}/pkgconfig/libfprint-2.pc
%{_datadir}/gir-1.0/FPrint-2.0.gir
%dir %{_datadir}/gtk-doc/html/libfprint-2
%{_datadir}/gtk-doc/html/libfprint-2/*
%doc NEWS

%changelog
* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 1.94.3-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 1.94.2-1mamba
- automatic version update by autodist

* Sat Oct 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.94.1-1mamba
- package created using the webbuild interface
